Listing the Root Certificate Authorities

Listing the Root Certificate Authorities
Listing the Root Certificate Authorities

Returns all of the root certificate authorities for OpsManager.

The active certificate will be used for generating all certs which OpsManager generates.

Request
URI
GET
https://{opsmanager-installation}/api/v0/certificate_authorities
COPY
Responses
200

OK

Returns CertificateAuthorities of type(s) application/json
{
    "certificate_authorities": [
        {
            "guid": "string",
            "issuer": "string",
            "created_on": "string",
            "expires_on": "string",
            "active": false,
            "cert_pem": "string",
            "nats_cert_pem": "string"
        }
    ]
}
array of certificate_authorities
certificate_authorities
Optional

certificate_authorities


400

Setup is not completed

Returns RequireSetupCompleted of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


403

Forbidden

Returns ForbiddenResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/v0/certificate_authorities